Index: trunk/source/visualization/OpenInventor/CVS/Entries
===================================================================
--- trunk/source/visualization/OpenInventor/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/OpenInventor/CVS/Entries	(revision 1347)
@@ -3,2 +3,3 @@
 /CMakeLists.txt/1.1/Wed Sep 29 19:12:22 2010//Tgeant4-09-04-ref-00
 /sources.cmake/1.1/Wed Sep 29 19:12:30 2010//Tgeant4-09-04-ref-00
+/History/1.108/Wed Nov 10 17:53:22 2010//Tgeant4-09-04-ref-00
Index: trunk/source/visualization/OpenInventor/History
===================================================================
--- trunk/source/visualization/OpenInventor/History	(revision 1346)
+++ trunk/source/visualization/OpenInventor/History	(revision 1347)
@@ -1,3 +1,3 @@
-$Id: History,v 1.107 2010/10/06 15:46:21 allison Exp $
+$Id: History,v 1.108 2010/11/10 17:53:22 allison Exp $
 -------------------------------------------------------------------
 
@@ -20,4 +20,8 @@
 History file for visualization/OpenInventor
 -------------------------------------------
+
+10th November 2010  John Allison  (openinventor-V09-03-02)
+- G4OpenInventor*Viewer.cc:
+  o Protected output with G4VisManager::confirmations.
 
 6th October 2010  John Allison  (openinventor-V09-03-01)
Index: trunk/source/visualization/OpenInventor/include/CVS/Entries
===================================================================
--- trunk/source/visualization/OpenInventor/include/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/CVS/Entries	(revision 1347)
@@ -1,1 +1,15 @@
 D/HEPVis////
+/G4OpenInventor.hh/1.9/Thu Jun 29 21:20:22 2006//Tgeant4-09-04-ref-00
+/G4OpenInventorSceneHandler.hh/1.33/Tue Mar 27 15:24:15 2007//Tgeant4-09-04-ref-00
+/G4OpenInventorTransform3D.hh/1.7/Thu Jun 29 21:20:26 2006//Tgeant4-09-04-ref-00
+/G4OpenInventorViewer.hh/1.27/Thu Jun 29 21:20:28 2006//Tgeant4-09-04-ref-00
+/G4OpenInventorWin.hh/1.3/Thu Jun 29 21:20:30 2006//Tgeant4-09-04-ref-00
+/G4OpenInventorWin32.hh/1.7/Thu Jun 29 21:20:32 2006//Tgeant4-09-04-ref-00
+/G4OpenInventorWinViewer.hh/1.10/Fri Sep 18 12:48:43 2009//Tgeant4-09-04-ref-00
+/G4OpenInventorX.hh/1.7/Thu Jun 29 21:20:36 2006//Tgeant4-09-04-ref-00
+/G4OpenInventorXt.hh/1.3/Thu Jun 29 21:20:38 2006//Tgeant4-09-04-ref-00
+/G4OpenInventorXtViewer.hh/1.15/Fri Sep 18 12:48:43 2009//Tgeant4-09-04-ref-00
+/Geant4_SoPolyhedron.h/1.6/Thu Jun 29 21:20:42 2006//Tgeant4-09-04-ref-00
+/SoG4LineSet.h/1.2/Wed Dec 13 15:49:51 2006//Tgeant4-09-04-ref-00
+/SoG4MarkerSet.h/1.2/Wed Dec 13 15:49:53 2006//Tgeant4-09-04-ref-00
+/SoG4Polyhedron.h/1.3/Mon Sep 17 16:08:00 2007//Tgeant4-09-04-ref-00
Index: trunk/source/visualization/OpenInventor/include/G4OpenInventor.hh
===================================================================
--- trunk/source/visualization/OpenInventor/include/G4OpenInventor.hh	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/G4OpenInventor.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventor.hh,v 1.9 2006/06/29 21:20:22 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // Guy Barrand 26 Mar 1998.
Index: trunk/source/visualization/OpenInventor/include/G4OpenInventorSceneHandler.hh
===================================================================
--- trunk/source/visualization/OpenInventor/include/G4OpenInventorSceneHandler.hh	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/G4OpenInventorSceneHandler.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorSceneHandler.hh,v 1.33 2007/03/27 15:24:15 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/OpenInventor/include/G4OpenInventorTransform3D.hh
===================================================================
--- trunk/source/visualization/OpenInventor/include/G4OpenInventorTransform3D.hh	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/G4OpenInventorTransform3D.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorTransform3D.hh,v 1.7 2006/06/29 21:20:26 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/OpenInventor/include/G4OpenInventorWin.hh
===================================================================
--- trunk/source/visualization/OpenInventor/include/G4OpenInventorWin.hh	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/G4OpenInventorWin.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorWin.hh,v 1.3 2006/06/29 21:20:30 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // OpenInventor graphics system factory.
Index: trunk/source/visualization/OpenInventor/include/G4OpenInventorWin32.hh
===================================================================
--- trunk/source/visualization/OpenInventor/include/G4OpenInventorWin32.hh	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/G4OpenInventorWin32.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorWin32.hh,v 1.7 2006/06/29 21:20:32 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // OpenInventor graphics system factory.
Index: trunk/source/visualization/OpenInventor/include/G4OpenInventorWinViewer.hh
===================================================================
--- trunk/source/visualization/OpenInventor/include/G4OpenInventorWinViewer.hh	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/G4OpenInventorWinViewer.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorWinViewer.hh,v 1.10 2009/09/18 12:48:43 lgarnier Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/OpenInventor/include/G4OpenInventorX.hh
===================================================================
--- trunk/source/visualization/OpenInventor/include/G4OpenInventorX.hh	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/G4OpenInventorX.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorX.hh,v 1.7 2006/06/29 21:20:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/OpenInventor/include/G4OpenInventorXt.hh
===================================================================
--- trunk/source/visualization/OpenInventor/include/G4OpenInventorXt.hh	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/G4OpenInventorXt.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorXt.hh,v 1.3 2006/06/29 21:20:38 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/OpenInventor/include/G4OpenInventorXtViewer.hh
===================================================================
--- trunk/source/visualization/OpenInventor/include/G4OpenInventorXtViewer.hh	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/G4OpenInventorXtViewer.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorXtViewer.hh,v 1.15 2009/09/18 12:48:43 lgarnier Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/OpenInventor/include/HEPVis/CVS/Entries
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/CVS/Entries	(revision 1347)
@@ -3,2 +3,6 @@
 D/nodekits////
 D/nodes////
+/SbGL.h/1.3/Thu Jun 29 21:20:44 2006//Tgeant4-09-04-ref-00
+/SbMath.h/1.4/Thu Jun 29 21:20:46 2006//Tgeant4-09-04-ref-00
+/SbPainter.h/1.3/Thu Jun 29 21:20:48 2006//Tgeant4-09-04-ref-00
+/SbPainterPS.h/1.3/Thu Jun 29 21:20:50 2006//Tgeant4-09-04-ref-00
Index: trunk/source/visualization/OpenInventor/include/HEPVis/SbMath.h
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/SbMath.h	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/SbMath.h	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: SbMath.h,v 1.4 2006/06/29 21:20:46 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 #ifndef HEPVis_SbMath_h
Index: trunk/source/visualization/OpenInventor/include/HEPVis/actions/CVS/Entries
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/actions/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/actions/CVS/Entries	(revision 1347)
@@ -1,1 +1,4 @@
+/SoAlternateRepAction.h/1.3/Thu Jun 29 21:20:52 2006//Tgeant4-09-04-ref-00
+/SoCounterAction.h/1.5/Thu Jun 29 21:20:54 2006//Tgeant4-09-04-ref-00
+/SoGL2PSAction.h/1.7/Wed Feb 18 10:04:25 2009//Tgeant4-09-04-ref-00
 D
Index: trunk/source/visualization/OpenInventor/include/HEPVis/misc/CVS/Entries
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/misc/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/misc/CVS/Entries	(revision 1347)
@@ -1,1 +1,2 @@
+/SoStyleCache.h/1.6/Thu Jun 29 21:21:14 2006//Tgeant4-09-04-ref-00
 D
Index: trunk/source/visualization/OpenInventor/include/HEPVis/nodekits/CVS/Entries
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/nodekits/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/nodekits/CVS/Entries	(revision 1347)
@@ -1,1 +1,2 @@
+/SoDetectorTreeKit.h/1.5/Thu Jun 29 21:21:16 2006//Tgeant4-09-04-ref-00
 D
Index: trunk/source/visualization/OpenInventor/include/HEPVis/nodekits/SoDetectorTreeKit.h
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/nodekits/SoDetectorTreeKit.h	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/nodekits/SoDetectorTreeKit.h	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: SoDetectorTreeKit.h,v 1.5 2006/06/29 21:21:16 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 /*-----------------------------HEPVis----------------------------------------*/
Index: trunk/source/visualization/OpenInventor/include/HEPVis/nodes/CVS/Entries
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/nodes/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/nodes/CVS/Entries	(revision 1347)
@@ -1,1 +1,8 @@
+/SoBox.h/1.3/Thu Jun 29 21:21:18 2006//Tgeant4-09-04-ref-00
+/SoCons.h/1.3/Thu Jun 29 21:21:20 2006//Tgeant4-09-04-ref-00
+/SoImageWriter.h/1.3/Thu Jun 29 21:21:38 2006//Tgeant4-09-04-ref-00
+/SoMarkerSet.h/1.3/Thu Jun 29 21:22:03 2006//Tgeant4-09-04-ref-00
+/SoTrap.h/1.4/Thu Jun 29 21:22:06 2006//Tgeant4-09-04-ref-00
+/SoTrd.h/1.3/Thu Jun 29 21:22:08 2006//Tgeant4-09-04-ref-00
+/SoTubs.h/1.3/Thu Jun 29 21:22:10 2006//Tgeant4-09-04-ref-00
 D
Index: trunk/source/visualization/OpenInventor/include/HEPVis/nodes/SoBox.h
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/nodes/SoBox.h	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/nodes/SoBox.h	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: SoBox.h,v 1.3 2006/06/29 21:21:18 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 /*-----------------------------Hepvis----------------------------------------*/
Index: trunk/source/visualization/OpenInventor/include/HEPVis/nodes/SoCons.h
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/nodes/SoCons.h	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/nodes/SoCons.h	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: SoCons.h,v 1.3 2006/06/29 21:21:20 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 /*-----------------------------Hepvis----------------------------------------*/
Index: trunk/source/visualization/OpenInventor/include/HEPVis/nodes/SoTrap.h
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/nodes/SoTrap.h	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/nodes/SoTrap.h	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: SoTrap.h,v 1.4 2006/06/29 21:22:06 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 /*-----------------------------Hepvis----------------------------------------*/
Index: trunk/source/visualization/OpenInventor/include/HEPVis/nodes/SoTrd.h
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/nodes/SoTrd.h	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/nodes/SoTrd.h	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: SoTrd.h,v 1.3 2006/06/29 21:22:08 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 /*-----------------------------Hepvis----------------------------------------*/
Index: trunk/source/visualization/OpenInventor/include/HEPVis/nodes/SoTubs.h
===================================================================
--- trunk/source/visualization/OpenInventor/include/HEPVis/nodes/SoTubs.h	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/HEPVis/nodes/SoTubs.h	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: SoTubs.h,v 1.3 2006/06/29 21:22:10 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 /*-----------------------------Hepvis----------------------------------------*/
Index: trunk/source/visualization/OpenInventor/include/SoG4LineSet.h
===================================================================
--- trunk/source/visualization/OpenInventor/include/SoG4LineSet.h	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/SoG4LineSet.h	(revision 1347)
@@ -25,5 +25,5 @@
 //
 // $Id: SoG4LineSet.h,v 1.2 2006/12/13 15:49:51 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // John Allison  26th October 2006
Index: trunk/source/visualization/OpenInventor/include/SoG4MarkerSet.h
===================================================================
--- trunk/source/visualization/OpenInventor/include/SoG4MarkerSet.h	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/SoG4MarkerSet.h	(revision 1347)
@@ -25,5 +25,5 @@
 //
 // $Id: SoG4MarkerSet.h,v 1.2 2006/12/13 15:49:53 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // John Allison  26th October 2006
Index: trunk/source/visualization/OpenInventor/include/SoG4Polyhedron.h
===================================================================
--- trunk/source/visualization/OpenInventor/include/SoG4Polyhedron.h	(revision 1346)
+++ trunk/source/visualization/OpenInventor/include/SoG4Polyhedron.h	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: SoG4Polyhedron.h,v 1.3 2007/09/17 16:08:00 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // John Allison  26th October 2006
Index: trunk/source/visualization/OpenInventor/src/CVS/Entries
===================================================================
--- trunk/source/visualization/OpenInventor/src/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/OpenInventor/src/CVS/Entries	(revision 1347)
@@ -1,1 +1,24 @@
+/G4OpenInventor.cc/1.20/Thu Jun 29 21:22:12 2006//Tgeant4-09-04-ref-00
+/G4OpenInventorSceneHandler.cc/1.55/Wed Feb 18 14:21:38 2009//Tgeant4-09-04-ref-00
+/G4OpenInventorTransform3D.cc/1.8/Thu Jun 29 21:22:16 2006//Tgeant4-09-04-ref-00
+/G4OpenInventorViewer.cc/1.61/Wed Oct  6 10:09:57 2010//Tgeant4-09-04-ref-00
+/G4OpenInventorWin.cc/1.8/Wed May 26 14:30:46 2010//Tgeant4-09-04-ref-00
+/G4OpenInventorWinViewer.cc/1.27/Wed Nov 10 17:53:22 2010//Tgeant4-09-04-ref-00
+/G4OpenInventorXt.cc/1.5/Wed May 26 14:30:46 2010//Tgeant4-09-04-ref-00
+/G4OpenInventorXtViewer.cc/1.26/Wed Nov 10 17:53:22 2010//Tgeant4-09-04-ref-00
+/SbPainter.cc/1.5/Thu Jun 29 21:22:30 2006//Tgeant4-09-04-ref-00
+/SbPainterPS.cc/1.5/Thu Jun 29 21:22:32 2006//Tgeant4-09-04-ref-00
+/SoAlternateRepAction.cc/1.4/Thu Jun 29 21:22:34 2006//Tgeant4-09-04-ref-00
+/SoBox.cc/1.8/Thu Jun 29 21:22:36 2006//Tgeant4-09-04-ref-00
+/SoCons.cc/1.8/Thu Jun 29 21:22:38 2006//Tgeant4-09-04-ref-00
+/SoCounterAction.cc/1.7/Thu Jun 29 21:22:49 2006//Tgeant4-09-04-ref-00
+/SoDetectorTreeKit.cc/1.13/Thu Jun 29 21:22:51 2006//Tgeant4-09-04-ref-00
+/SoGL2PSAction.cc/1.9/Wed Feb 18 10:04:25 2009//Tgeant4-09-04-ref-00
+/SoImageWriter.cc/1.5/Thu Jun 29 21:22:55 2006//Tgeant4-09-04-ref-00
+/SoMarkerSet.cc/1.8/Thu Jun 29 21:22:57 2006//Tgeant4-09-04-ref-00
+/SoPolyhedron.cc/1.13/Tue Oct 23 14:54:06 2007//Tgeant4-09-04-ref-00
+/SoStyleCache.cc/1.7/Thu Jun 29 21:23:01 2006//Tgeant4-09-04-ref-00
+/SoTrap.cc/1.8/Thu Jun 29 21:23:03 2006//Tgeant4-09-04-ref-00
+/SoTrd.cc/1.8/Thu Jun 29 21:23:05 2006//Tgeant4-09-04-ref-00
+/SoTubs.cc/1.8/Thu Jun 29 21:23:07 2006//Tgeant4-09-04-ref-00
 D
Index: trunk/source/visualization/OpenInventor/src/G4OpenInventor.cc
===================================================================
--- trunk/source/visualization/OpenInventor/src/G4OpenInventor.cc	(revision 1346)
+++ trunk/source/visualization/OpenInventor/src/G4OpenInventor.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventor.cc,v 1.20 2006/06/29 21:22:12 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 #ifdef G4VIS_BUILD_OI_DRIVER
Index: trunk/source/visualization/OpenInventor/src/G4OpenInventorSceneHandler.cc
===================================================================
--- trunk/source/visualization/OpenInventor/src/G4OpenInventorSceneHandler.cc	(revision 1346)
+++ trunk/source/visualization/OpenInventor/src/G4OpenInventorSceneHandler.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorSceneHandler.cc,v 1.55 2009/02/18 14:21:38 lgarnier Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/OpenInventor/src/G4OpenInventorTransform3D.cc
===================================================================
--- trunk/source/visualization/OpenInventor/src/G4OpenInventorTransform3D.cc	(revision 1346)
+++ trunk/source/visualization/OpenInventor/src/G4OpenInventorTransform3D.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorTransform3D.cc,v 1.8 2006/06/29 21:22:16 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/OpenInventor/src/G4OpenInventorViewer.cc
===================================================================
--- trunk/source/visualization/OpenInventor/src/G4OpenInventorViewer.cc	(revision 1346)
+++ trunk/source/visualization/OpenInventor/src/G4OpenInventorViewer.cc	(revision 1347)
@@ -25,5 +25,5 @@
 //
 // $Id: G4OpenInventorViewer.cc,v 1.61 2010/10/06 10:09:57 allison Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 
 #ifdef G4VIS_BUILD_OI_DRIVER
Index: trunk/source/visualization/OpenInventor/src/G4OpenInventorWin.cc
===================================================================
--- trunk/source/visualization/OpenInventor/src/G4OpenInventorWin.cc	(revision 1346)
+++ trunk/source/visualization/OpenInventor/src/G4OpenInventorWin.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorWin.cc,v 1.8 2010/05/26 14:30:46 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // OpenInventor graphics system factory.
Index: trunk/source/visualization/OpenInventor/src/G4OpenInventorWinViewer.cc
===================================================================
--- trunk/source/visualization/OpenInventor/src/G4OpenInventorWinViewer.cc	(revision 1346)
+++ trunk/source/visualization/OpenInventor/src/G4OpenInventorWinViewer.cc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenInventorWinViewer.cc,v 1.26 2009/09/18 12:48:43 lgarnier Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4OpenInventorWinViewer.cc,v 1.27 2010/11/10 17:53:22 allison Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 /*
@@ -52,4 +52,5 @@
 #include "G4OpenInventorSceneHandler.hh"
 #include "G4VInteractorManager.hh"
+#include "G4VisManager.hh"
 
 #include <windowsx.h>
@@ -95,6 +96,6 @@
 ,fViewer(0)
 {
-  G4cout << "Window name: " << fName << G4endl;
-
+  if (G4VisManager::GetVerbosity() >= G4VisManager::confirmations)
+    G4cout << "Window name: " << fName << G4endl;
 }
 
Index: trunk/source/visualization/OpenInventor/src/G4OpenInventorXt.cc
===================================================================
--- trunk/source/visualization/OpenInventor/src/G4OpenInventorXt.cc	(revision 1346)
+++ trunk/source/visualization/OpenInventor/src/G4OpenInventorXt.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenInventorXt.cc,v 1.5 2010/05/26 14:30:46 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/OpenInventor/src/G4OpenInventorXtViewer.cc
===================================================================
--- trunk/source/visualization/OpenInventor/src/G4OpenInventorXtViewer.cc	(revision 1346)
+++ trunk/source/visualization/OpenInventor/src/G4OpenInventorXtViewer.cc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenInventorXtViewer.cc,v 1.25 2009/09/18 12:48:43 lgarnier Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4OpenInventorXtViewer.cc,v 1.26 2010/11/10 17:53:22 allison Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 /*
@@ -65,4 +65,5 @@
 #include "G4OpenInventorSceneHandler.hh"
 #include "G4VInteractorManager.hh"
+#include "G4VisManager.hh"
 
 G4OpenInventorXtViewer::G4OpenInventorXtViewer(
@@ -75,5 +76,6 @@
 ,fHelpText(0)
 {
-  G4cout << "Window name: " << fName << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::confirmations)
+    G4cout << "Window name: " << fName << G4endl;
 }
 
Index: trunk/source/visualization/OpenInventor/src/SoBox.cc
===================================================================
--- trunk/source/visualization/OpenInventor/src/SoBox.cc	(revision 1346)
+++ trunk/source/visualization/OpenInventor/src/SoBox.cc	(revision 1347)
@@ -27,5 +27,5 @@
 //
 // $Id: SoBox.cc,v 1.8 2006/06/29 21:22:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 /*----------------------------HEPVis----------------------------------------*/
Index: trunk/source/visualization/OpenInventor/src/SoCons.cc
===================================================================
--- trunk/source/visualization/OpenInventor/src/SoCons.cc	(revision 1346)
+++ trunk/source/visualization/OpenInventor/src/SoCons.cc	(revision 1347)
@@ -27,5 +27,5 @@
 //
 // $Id: SoCons.cc,v 1.8 2006/06/29 21:22:38 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 /*-----------------------------HEPVis---------------------------------------*/
Index: trunk/source/visualization/OpenInventor/src/SoDetectorTreeKit.cc
===================================================================
--- trunk/source/visualization/OpenInventor/src/SoDetectorTreeKit.cc	(revision 1346)
+++ trunk/source/visualization/OpenInventor/src/SoDetectorTreeKit.cc	(revision 1347)
@@ -27,5 +27,5 @@
 //
 // $Id: SoDetectorTreeKit.cc,v 1.13 2006/06/29 21:22:51 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 /*-----------------------------HEPVis----------------------------------------*/
Index: trunk/source/visualization/OpenInventor/src/SoTrap.cc
===================================================================
--- trunk/source/visualization/OpenInventor/src/SoTrap.cc	(revision 1346)
+++ trunk/source/visualization/OpenInventor/src/SoTrap.cc	(revision 1347)
@@ -27,5 +27,5 @@
 //
 // $Id: SoTrap.cc,v 1.8 2006/06/29 21:23:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 /*-----------------------------HEPVis----------------------------------------*/
Index: trunk/source/visualization/OpenInventor/src/SoTrd.cc
===================================================================
--- trunk/source/visualization/OpenInventor/src/SoTrd.cc	(revision 1346)
+++ trunk/source/visualization/OpenInventor/src/SoTrd.cc	(revision 1347)
@@ -27,5 +27,5 @@
 //
 // $Id: SoTrd.cc,v 1.8 2006/06/29 21:23:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 /*-----------------------------HEPVis---------------------------------------*/
Index: trunk/source/visualization/OpenInventor/src/SoTubs.cc
===================================================================
--- trunk/source/visualization/OpenInventor/src/SoTubs.cc	(revision 1346)
+++ trunk/source/visualization/OpenInventor/src/SoTubs.cc	(revision 1347)
@@ -27,5 +27,5 @@
 //
 // $Id: SoTubs.cc,v 1.8 2006/06/29 21:23:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 /*-----------------------------HEPVis---------------------------------------*/
Index: trunk/source/visualization/RayTracer/CVS/Entries
===================================================================
--- trunk/source/visualization/RayTracer/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/RayTracer/CVS/Entries	(revision 1347)
@@ -3,2 +3,4 @@
 /CMakeLists.txt/1.1/Wed Sep 29 19:12:38 2010//Tgeant4-09-04-ref-00
 /sources.cmake/1.1/Wed Sep 29 19:12:47 2010//Tgeant4-09-04-ref-00
+/History/1.66/Wed Oct 27 08:00:36 2010//Tgeant4-09-04-ref-00
+/README/1.1/Sat Jan 29 02:53:57 2000//Tgeant4-09-04-ref-00
Index: trunk/source/visualization/RayTracer/History
===================================================================
--- trunk/source/visualization/RayTracer/History	(revision 1346)
+++ trunk/source/visualization/RayTracer/History	(revision 1347)
@@ -1,3 +1,3 @@
-$Id: History,v 1.64 2010/06/14 14:33:34 gcosmo Exp $
+$Id: History,v 1.66 2010/10/27 08:00:36 gcosmo Exp $
 -------------------------------------------------------------------
 
@@ -24,4 +24,11 @@
 History file for Ray Tracer category
 ---------------------------------------
+
+27th October 2010  Gabriele Cosmo (raytracer-V09-03-04)
+- Restored DLL setup as originally. Withdrawn changes in last tag.
+
+19th October 2010  Gabriele Cosmo (raytracer-V09-03-03)
+- Replaced G4VIS_ALLOC_EXPORT flag with G4ALLOC_EXPORT for DLL exported
+  symbols.
 
 14th June 2010  Gabriele Cosmo  (raytracer-V09-03-02)
Index: trunk/source/visualization/RayTracer/include/CVS/Entries
===================================================================
--- trunk/source/visualization/RayTracer/include/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/RayTracer/include/CVS/Entries	(revision 1347)
@@ -1,1 +1,22 @@
+/G4RTJpeg.hh/1.6/Thu Jun 29 21:23:13 2006//Tgeant4-09-04-ref-00
+/G4RTJpegCoder.hh/1.6/Thu Jun 29 21:23:15 2006//Tgeant4-09-04-ref-00
+/G4RTJpegCoderTables.hh/1.6/Thu Jun 29 21:23:17 2006//Tgeant4-09-04-ref-00
+/G4RTJpegMaker.hh/1.6/Thu Jun 29 21:23:19 2006//Tgeant4-09-04-ref-00
+/G4RTMessenger.hh/1.7/Thu Jun 29 21:23:21 2006//Tgeant4-09-04-ref-00
+/G4RTOutBitStream.hh/1.7/Thu Jun 29 21:23:23 2006//Tgeant4-09-04-ref-00
+/G4RTSimpleScanner.hh/1.4/Mon Jun 14 14:33:34 2010//Tgeant4-09-04-ref-00
+/G4RTSteppingAction.hh/1.5/Thu Jun 29 21:23:27 2006//Tgeant4-09-04-ref-00
+/G4RTTrackingAction.hh/1.6/Thu Jun 29 21:23:29 2006//Tgeant4-09-04-ref-00
+/G4RTXScanner.hh/1.5/Mon Jun 14 14:33:34 2010//Tgeant4-09-04-ref-00
+/G4RayTracer.hh/1.12/Thu Jun 14 15:25:20 2007//Tgeant4-09-04-ref-00
+/G4RayTracerFeatures.hh/1.4/Thu Jun 29 21:23:35 2006//Tgeant4-09-04-ref-00
+/G4RayTracerSceneHandler.hh/1.13/Sun May 30 10:21:25 2010//Tgeant4-09-04-ref-00
+/G4RayTracerViewer.hh/1.7/Thu Jun 29 21:23:39 2006//Tgeant4-09-04-ref-00
+/G4RayTracerX.hh/1.4/Thu Jun 29 21:23:41 2006//Tgeant4-09-04-ref-00
+/G4RayTracerXViewer.hh/1.5/Wed Sep 16 16:56:52 2009//Tgeant4-09-04-ref-00
+/G4RayTrajectory.hh/1.16/Sat May 29 21:09:40 2010//Tgeant4-09-04-ref-00
+/G4RayTrajectoryPoint.hh/1.9/Thu Jun 29 21:23:47 2006//Tgeant4-09-04-ref-00
+/G4TheRayTracer.hh/1.3/Thu Jun 29 21:23:49 2006//Tgeant4-09-04-ref-00
+/G4VFigureFileMaker.hh/1.5/Thu Jun 29 21:23:51 2006//Tgeant4-09-04-ref-00
+/G4VRTScanner.hh/1.6/Mon Jun 14 14:33:34 2010//Tgeant4-09-04-ref-00
 D
Index: trunk/source/visualization/RayTracer/include/G4RTJpeg.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RTJpeg.hh	(revision 1346)
+++ trunk/source/visualization/RayTracer/include/G4RTJpeg.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RTJpeg.hh,v 1.6 2006/06/29 21:23:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/visualization/RayTracer/include/G4RTJpegCoder.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RTJpegCoder.hh	(revision 1346)
+++ trunk/source/visualization/RayTracer/include/G4RTJpegCoder.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RTJpegCoder.hh,v 1.6 2006/06/29 21:23:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/visualization/RayTracer/include/G4RTJpegCoderTables.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RTJpegCoderTables.hh	(revision 1346)
+++ trunk/source/visualization/RayTracer/include/G4RTJpegCoderTables.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RTJpegCoderTables.hh,v 1.6 2006/06/29 21:23:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 
Index: trunk/source/visualization/RayTracer/include/G4RTJpegMaker.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RTJpegMaker.hh	(revision 1346)
+++ trunk/source/visualization/RayTracer/include/G4RTJpegMaker.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RTJpegMaker.hh,v 1.6 2006/06/29 21:23:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/visualization/RayTracer/include/G4RTMessenger.hh
===================================================================
--- trunk/source/visualization/RayTracer/include/G4RTMessenger.hh	(revision 1346)
+++ trunk/source/visualization/RayTracer/include/G4RTMessenger.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RTMessenger.hh,v 1.7 2006/06/29 21:23:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
